<html>
<head>
<title>OGRE: OgreBlendMode.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreBlendMode.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>&quot;</code><br>

<p>
<a href="OgreBlendMode_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html">Ogre::LayerBlendModeEx</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class which manages blending of both colour and alpha components.  <a href="classOgre_1_1LayerBlendModeEx.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#1ae5925d36df27a6c3590536752264f8">Ogre::LayerBlendType</a> { <a class="el" href="namespaceOgre.html#1ae5925d36df27a6c3590536752264f8cee3f4ef730f5c3e67fe71a54621e654">Ogre::LBT_COLOUR</a>, 
<a class="el" href="namespaceOgre.html#1ae5925d36df27a6c3590536752264f848d75d19e38ab5ff2ce7a3e9ae068e31">Ogre::LBT_ALPHA</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of texture blend mode.  <a href="namespaceOgre.html#1ae5925d36df27a6c3590536752264f8">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#bcbb38d1ac195e4be401f85b7ab0da8f">Ogre::LayerBlendOperation</a> { <a class="el" href="namespaceOgre.html#bcbb38d1ac195e4be401f85b7ab0da8f870cf51ff1ccd919cf710bcb3b4e6432">Ogre::LBO_REPLACE</a>, 
<a class="el" href="namespaceOgre.html#bcbb38d1ac195e4be401f85b7ab0da8f0c0abc7da3db86b393712aacc3c0ffe3">Ogre::LBO_ADD</a>, 
<a class="el" href="namespaceOgre.html#bcbb38d1ac195e4be401f85b7ab0da8f20815cab41c35f08f3520fb404b95efd">Ogre::LBO_MODULATE</a>, 
<a class="el" href="namespaceOgre.html#bcbb38d1ac195e4be401f85b7ab0da8f5cd300cd5790982241469d38868e5e76">Ogre::LBO_ALPHA_BLEND</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of valid texture blending operations, for use with TextureUnitState::setColourOperation.  <a href="namespaceOgre.html#bcbb38d1ac195e4be401f85b7ab0da8f">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2">Ogre::LayerBlendOperationEx</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee28c7697ad29825fd74a0383826294c894">Ogre::LBX_SOURCE1</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee27e03fbcff412dcdeefa85e7e83525599">Ogre::LBX_SOURCE2</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2985f2ec53a477d7c19b41700589cb519">Ogre::LBX_MODULATE</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee283964282d9ea36a25f4718ae962f8d1c">Ogre::LBX_MODULATE_X2</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee22016226c35da93cc80a47e67528064a3">Ogre::LBX_MODULATE_X4</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2c025aa3571c27a81260a08338418fa02">Ogre::LBX_ADD</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2e89016c1b5b7ba57965791ae726c450e">Ogre::LBX_ADD_SIGNED</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee294ec9bd2faf2b248f1c32f2eb187f415">Ogre::LBX_ADD_SMOOTH</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2de0d61cb08a3a772470efeab17a1a60c">Ogre::LBX_SUBTRACT</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2c48b8a0a6406d7950c873658b9f11aa9">Ogre::LBX_BLEND_DIFFUSE_ALPHA</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee23ba9fa36ef8c23b61e030185ca14cb78">Ogre::LBX_BLEND_TEXTURE_ALPHA</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee242c0f2ce32ad504e39a11936748c9973">Ogre::LBX_BLEND_CURRENT_ALPHA</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2dbe5957a946513e0f8be8c571f9b73fe">Ogre::LBX_BLEND_MANUAL</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2822d6d3e08f28dcd9834f61c7fc03905">Ogre::LBX_DOTPRODUCT</a>, 
<a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2ff8f459e8c642e068d2d85fb18563859">Ogre::LBX_BLEND_DIFFUSE_COLOUR</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Expert list of valid texture blending operations, for use with TextureUnitState::setColourOperationEx and TextureUnitState::setAlphaOperation, and internally in the LayerBlendModeEx class.  <a href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">Ogre::LayerBlendSource</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e370f25da69381c74ca1fc51fde81e659">Ogre::LBS_CURRENT</a>, 
<a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e45f1a14042993f460992b3253ce6ae80">Ogre::LBS_TEXTURE</a>, 
<a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e196637a598fec92609865324b94d5662">Ogre::LBS_DIFFUSE</a>, 
<a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625eeaaa1e434289af47d0324c5d0f19d728">Ogre::LBS_SPECULAR</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e9aad692ea2c7081237095c3ab4044f17">Ogre::LBS_MANUAL</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of valid sources of values for blending operations used in TextureUnitState::setColourOperation and TextureUnitState::setAlphaOperation, and internally in the LayerBlendModeEx class.  <a href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a">Ogre::SceneBlendType</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a8df6dd8b7710971196000da11b5ab114">Ogre::SBT_TRANSPARENT_ALPHA</a>, 
<a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9ab57b2cf11c74056c5109fce1efa37a05">Ogre::SBT_TRANSPARENT_COLOUR</a>, 
<a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9afa3ba1b1c044f8c0cb09bc41582024d4">Ogre::SBT_ADD</a>, 
<a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a7aed8ef0038f0a0a5f6634ba4080b513">Ogre::SBT_MODULATE</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9ab6672abe57fa6051e9ab57d51975d244">Ogre::SBT_REPLACE</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Types of blending that you can specify between an object and the existing contents of the scene.  <a href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">Ogre::SceneBlendFactor</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213d2741858a9d9f668a47ea75b82ae0318">Ogre::SBF_ONE</a>, 
<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b4287221304732209b3c7a16b5f0a2c829e6f6c34">Ogre::SBF_ZERO</a>, 
<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213ffe55d98f2cd26e9451af52dbc74f7b2">Ogre::SBF_DEST_COLOUR</a>, 
<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213ec796e9f58f4cce849379f0239e059a6">Ogre::SBF_SOURCE_COLOUR</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b428722137ea50d3d5960138db1c46ecb42f94969">Ogre::SBF_ONE_MINUS_DEST_COLOUR</a>, 
<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b4287221393b05f61a5076cf0f649ac5d656970fe">Ogre::SBF_ONE_MINUS_SOURCE_COLOUR</a>, 
<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213374792bd937134c4ca2aad748661c22c">Ogre::SBF_DEST_ALPHA</a>, 
<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b428722135b1a11e0ec0d1cf0bdab0176cca26eea">Ogre::SBF_SOURCE_ALPHA</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b428722131d772950d5ec934776bbc1d39782a42d">Ogre::SBF_ONE_MINUS_DEST_ALPHA</a>, 
<a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b4287221309184af2d875978d03c6edd00d4d52f9">Ogre::SBF_ONE_MINUS_SOURCE_ALPHA</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Blending factors for manually blending objects with the scene.  <a href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
